Get shops
curl --request GET \
--url https://api.treet-test.co/v1/shops \
--header 'X-Treet-Authentication-Key: <api-key>' \
--header 'X-Treet-Client-Id: <api-key>'import requests
url = "https://api.treet-test.co/v1/shops"
headers = {
"X-Treet-Client-Id": "<api-key>",
"X-Treet-Authentication-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Treet-Client-Id': '<api-key>', 'X-Treet-Authentication-Key': '<api-key>'}
};
fetch('https://api.treet-test.co/v1/shops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"treetShopName": "Brand Apparel Pre-Loved",
"countryCodes": [
"FR",
"DE"
],
"url": "https://brand-eu.treet.co",
"treetId": "brand",
"styles": {
"primaryButtonBackgroundColor": "#007bff",
"primaryButtonFontColor": "#ffffff",
"primaryButtonBorder": "1px solid #007bff"
}
}
]{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Shops API
Get Shops
Enables external partners to look up Treet shop metadata and details using platform identifiers. Main use case is to allow external partners to construct entrypoints to Treet shops.
GET
/
v1
/
shops
Get shops
Query Parameters
The type of shop identifier.
Available options:
SHOPIFY_DOMAIN The corresponding identifier value (e.g., brandname.myshopify.com if shopIdentifierType is SHOPIFY_DOMAIN)
Response
Shop response
The Treet shop name for the brand
Example:
"Brand Apparel Pre-Loved"
Array of country codes where the shop operates
Example:
["FR", "DE"]
The canonical root URL of the Treet shop
Example:
"https://brand-eu.treet.co"
The internal Treet identifier for the shop
Example:
"brand"
Styling configuration for the shop
Show child attributes
Show child attributes

